## mumps 5.2.1

=== Makefile ===
#
#  This file is part of MUMPS 5.2.1, released
#  on Fri Jun 14 14:46:05 UTC 2019
#
topdir = .
libdir = $(topdir)/lib

default:	dexamples

.PHONY: default alllib all c z s d \
	sexamples dexamples cexamples zexamples multi_example \
	mumps_lib requiredobj libseqneeded clean

alllib:		c z s d
all:		cexamples zexamples sexamples dexamples multi_example

c:
	$(MAKE) ARITH=c mumps_lib
z:
	$(MAKE) ARITH=z mumps_lib
s:
	$(MAKE) ARITH=s mumps_lib
d:
	$(MAKE) ARITH=d mumps_lib


# Is Makefile.inc available ?
Makefile.inc:
	@echo "######################################################################"
	@echo "# BEFORE COMPILING MUMPS, YOU SHOULD HAVE AN APPROPRIATE FILE"
	@echo "# Makefile.inc AVALAIBLE. PLEASE LOOK IN THE DIRECTORY ./Make.inc FOR"
	@echo "# EXAMPLES OF Makefile.inc FILES, AT Make.inc/Makefile.inc.generic"
	@echo "# IN CASE YOU NEED TO BUILD A NEW ONE AND READ THE MAIN README FILE"
	@echo "######################################################################"
	@exit 1

include Makefile.inc

mumps_lib: requiredobj
	(cd src ; $(MAKE) $(ARITH))

cexamples:	c
	(cd examples ; $(MAKE) c)

zexamples:	z
	(cd examples ; $(MAKE) z)

sexamples:	s
	(cd examples ; $(MAKE) s)

dexamples:	d
	(cd examples ; $(MAKE) d)

multi_example:	s d c z
	(cd examples ; $(MAKE) multi)

requiredobj: Makefile.inc $(LIBSEQNEEDED) $(libdir)/libpord$(PLAT)$(LIBEXT)

# dummy MPI library (sequential version)

libseqneeded:
	(cd libseq; $(MAKE))

# Build the libpord.a library and copy it into $(topdir)/lib
$(libdir)/libpord$(PLAT)$(LIBEXT):
	if [ "$(LPORDDIR)" != "" ] ; then \
	  cd $(LPORDDIR); \
	  $(MAKE) CC="$(CC)" CFLAGS="$(OPTC)" AR="$(AR)" RANLIB="$(RANLIB)" OUTC="$(OUTC)" LIBEXT=$(LIBEXT); \
	fi;
	if [ "$(LPORDDIR)" != "" ] ; then \
	  cp $(LPORDDIR)/libpord$(LIBEXT) $@; \
	fi;

clean:
	(cd src; $(MAKE) clean)
	(cd examples; $(MAKE) clean)
	(cd $(libdir); $(RM) *$(PLAT)$(LIBEXT))
	(cd libseq; $(MAKE) clean)
	if [ "$(LPORDDIR)" != "" ] ; then \
	  cd $(LPORDDIR); $(MAKE) realclean; \
        fi;

=== examples/Makefile ===
#
#  This file is part of MUMPS 5.2.1, released
#  on Fri Jun 14 14:46:05 UTC 2019
#
topdir = ..
libdir = $(topdir)/lib

default: d

.PHONY: default all s d c z multi clean
.SECONDEXPANSION:

all:	c z s d multi

c:	csimpletest csimpletest_save_restore
z:	zsimpletest zsimpletest_save_restore
s:	ssimpletest ssimpletest_save_restore
d:	dsimpletest dsimpletest_save_restore c_example_save_restore c_example
multi:	multiple_arithmetics_example


include $(topdir)/Makefile.inc

LIBMUMPS_COMMON = $(libdir)/libmumps_common$(PLAT)$(LIBEXT)


LIBSMUMPS = $(libdir)/libsmumps$(PLAT)$(LIBEXT) $(LIBMUMPS_COMMON)

ssimpletest:  $(LIBSMUMPS)  $$@.o
	$(FL) -o $@ $(OPTL) ssimpletest.o  $(LIBSMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)


LIBDMUMPS = $(libdir)/libdmumps$(PLAT)$(LIBEXT) $(LIBMUMPS_COMMON)

dsimpletest: $(LIBDMUMPS)  $$@.o 
	$(FL) -o $@ $(OPTL) dsimpletest.o  $(LIBDMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)


LIBCMUMPS = $(libdir)/libcmumps$(PLAT)$(LIBEXT) $(LIBMUMPS_COMMON)

csimpletest: $(LIBCMUMPS)  $$@.o
	$(FL) -o $@ $(OPTL) csimpletest.o  $(LIBCMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)


LIBZMUMPS = $(libdir)/libzmumps$(PLAT)$(LIBEXT) $(LIBMUMPS_COMMON)

zsimpletest: $(LIBZMUMPS)  $$@.o
	$(FL) -o $@ $(OPTL) zsimpletest.o  $(LIBZMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)

c_example:	$(LIBDMUMPS) $$@.o
	$(FL) -o $@ $(OPTL) $@.o $(LIBDMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)


multiple_arithmetics_example:	$(LIBSMUMPS) $(LIBDMUMPS) $(LIBCMUMPS) $(LIBZMUMPS) $$@.o
	$(FL) -o $@ $(OPTL) $@.o $(LIBSMUMPS) $(LIBDMUMPS) $(LIBCMUMPS) $(LIBZMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)

ssimpletest_save_restore:  $(LIBSMUMPS)  $$@.o
	$(FL) -o $@ $(OPTL) ssimpletest_save_restore.o  $(LIBSMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)

dsimpletest_save_restore: $(LIBDMUMPS)  $$@.o 
	$(FL) -o $@ $(OPTL) dsimpletest_save_restore.o  $(LIBDMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)

csimpletest_save_restore: $(LIBCMUMPS)  $$@.o
	$(FL) -o $@ $(OPTL) csimpletest_save_restore.o  $(LIBCMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)

zsimpletest_save_restore: $(LIBZMUMPS)  $$@.o
	$(FL) -o $@ $(OPTL) zsimpletest_save_restore.o  $(LIBZMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)

c_example_save_restore:	$(LIBDMUMPS) $$@.o
	$(FL) -o $@ $(OPTL) $@.o $(LIBDMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)

.SUFFIXES: .c .F .o
.F.o:
	$(FC) $(OPTF) $(INCS) -I. -I$(topdir)/include -I$(topdir)/src -c $*.F $(OUTF)$*.o
.c.o:
	$(CC) $(OPTC) $(INCS) $(CDEFS) -I. -I$(topdir)/include -I$(topdir)/src -c $*.c $(OUTC)$*.o


$(libdir)/libsmumps$(PLAT)$(LIBEXT):
	@echo 'Error: you should build the library' $@ 'first'
	exit 1

$(libdir)/libdmumps$(PLAT)$(LIBEXT):
	@echo 'Error: you should build the library' $@ 'first'
	exit 1

$(libdir)/libcmumps$(PLAT)$(LIBEXT):
	@echo 'Error: you should build the library' $@ 'first'
	exit 1

$(libdir)/libzmumps$(PLAT)$(LIBEXT):
	@echo 'Error: you should build the library' $@ 'first'
	exit 1

$(LIBMUMPS_COMMON):
	@echo 'Error: you should build the library' $@ 'first'
	exit 1

clean:
	$(RM) *.o [sdcz]simpletest c_example multiple_arithmetics_example ssimpletest_save_restore dsimpletest_save_restore csimpletest_save_restore zsimpletest_save_restore c_example_save_restore

=== src/Makefile ===
#
#  This file is part of MUMPS 5.2.1, released
#  on Fri Jun 14 14:46:05 UTC 2019
#
#
#  This file is part of MUMPS 5.0beta, built on Tue Jan 10 16:43:31 UTC 2012
#
topdir = ..
libdir = $(topdir)/lib

default: d

.PHONY: default s d c z mumps_lib clean

s:
	$(MAKE) ARITH=s mumps_lib
d:
	$(MAKE) ARITH=d mumps_lib
c:
	$(MAKE) ARITH=c mumps_lib
z:
	$(MAKE) ARITH=z mumps_lib

include $(topdir)/Makefile.inc

mumps_lib:    $(libdir)/libmumps_common$(PLAT)$(LIBEXT) \
              $(libdir)/lib$(ARITH)mumps$(PLAT)$(LIBEXT)

OBJS_COMMON_MOD = \
        ana_omp_m.o\
        ana_orderings_wrappers_m.o\
        double_linked_list.o\
        fac_asm_build_sort_index_ELT_m.o\
        fac_asm_build_sort_index_m.o\
        fac_descband_data_m.o\
        fac_future_niv2_mod.o\
        fac_ibct_data_m.o\
        fac_maprow_data_m.o\
        front_data_mgt_m.o\
        lr_common.o \
        mumps_comm_ibcast.o\
        mumps_l0_omp_m.o\
        mumps_memory_mod.o\
        mumps_mpitoomp_m.o\
        mumps_ooc_common.o\
        mumps_static_mapping.o\
        omp_tps_common_m.o


OBJS_COMMON_OTHER = \
        ana_orderings.o\
        ana_set_ordering.o\
        ana_AMDMF.o\
        bcast_errors.o\
        estim_flops.o\
        mumps_type_size.o \
        mumps_type2_blocking.o \
        mumps_version.o \
        mumps_print_defined.o \
        mumps_common.o\
        mumps_pord.o\
        mumps_metis.o\
        mumps_metis64.o\
        mumps_metis_int.o\
        mumps_scotch.o\
        mumps_scotch64.o\
        mumps_scotch_int.o\
        mumps_size.o\
        mumps_io.o\
        mumps_io_basic.o\
        mumps_io_thread.o\
        mumps_io_err.o\
        mumps_numa.o \
        mumps_thread.o \
        mumps_save_restore_C.o \
        mumps_config_file_C.o \
        mumps_thread_affinity.o \
        tools_common.o \
        sol_common.o

OBJS_MOD =   \
        $(ARITH)ana_aux.o \
        $(ARITH)ana_aux_par.o \
        $(ARITH)ana_lr.o\
        $(ARITH)fac_asm_master_ELT_m.o\
        $(ARITH)fac_asm_master_m.o\
        $(ARITH)fac_front_aux.o\
        $(ARITH)fac_front_LU_type1.o\
        $(ARITH)fac_front_LU_type2.o\
        $(ARITH)fac_front_LDLT_type1.o\
        $(ARITH)fac_front_LDLT_type2.o\
        $(ARITH)fac_front_type2_aux.o\
        $(ARITH)fac_lr.o\
        $(ARITH)fac_mem_dynamic.o\
        $(ARITH)fac_omp_m.o\
        $(ARITH)fac_par_m.o\
        $(ARITH)lr_core.o\
        $(ARITH)lr_stats.o\
        $(ARITH)lr_type.o\
        $(ARITH)mumps_comm_buffer.o\
        $(ARITH)mumps_config_file.o\
        $(ARITH)mumps_load.o\
        $(ARITH)mumps_lr_data_m.o\
        $(ARITH)mumps_ooc_buffer.o\
        $(ARITH)mumps_ooc.o\
        $(ARITH)mumps_sol_es.o\
        $(ARITH)mumps_save_restore.o\
        $(ARITH)mumps_save_restore_files.o\
        $(ARITH)mumps_struc_def.o\
        $(ARITH)omp_tps_m.o\
        $(ARITH)sol_lr.o\
        $(ARITH)static_ptr_m.o

OBJS_OTHER = \
        $(ARITH)ini_driver.o\
        $(ARITH)ana_driver.o\
        $(ARITH)fac_driver.o\
        $(ARITH)sol_driver.o\
        $(ARITH)sol_distrhs.o\
        $(ARITH)end_driver.o\
        $(ARITH)ana_aux_ELT.o\
        $(ARITH)ana_dist_m.o\
        $(ARITH)ana_LDLT_preprocess.o\
        $(ARITH)ana_reordertree.o\
        $(ARITH)arrowheads.o\
        $(ARITH)bcast_int.o\
        $(ARITH)fac_asm_ELT.o\
        $(ARITH)fac_asm.o\
        $(ARITH)fac_b.o\
        $(ARITH)fac_distrib_distentry.o\
        $(ARITH)fac_distrib_ELT.o\
        $(ARITH)fac_lastrtnelind.o\
        $(ARITH)fac_mem_alloc_cb.o\
        $(ARITH)fac_mem_compress_cb.o\
        $(ARITH)fac_mem_free_block_cb.o\
        $(ARITH)fac_mem_stack_aux.o\
        $(ARITH)fac_mem_stack.o\
        $(ARITH)fac_process_band.o\
        $(ARITH)fac_process_blfac_slave.o\
        $(ARITH)fac_process_blocfacto_LDLT.o\
        $(ARITH)fac_process_blocfacto.o\
        $(ARITH)fac_process_bf.o\
        $(ARITH)fac_process_end_facto_slave.o\
        $(ARITH)fac_process_contrib_type1.o\
        $(ARITH)fac_process_contrib_type2.o\
        $(ARITH)fac_process_contrib_type3.o\
        $(ARITH)fac_process_maprow.o\
        $(ARITH)fac_process_master2.o\
        $(ARITH)fac_process_message.o\
        $(ARITH)fac_process_root2slave.o\
        $(ARITH)fac_process_root2son.o\
        $(ARITH)fac_process_rtnelind.o\
        $(ARITH)fac_root_parallel.o\
        $(ARITH)fac_scalings.o\
        $(ARITH)fac_determinant.o\
        $(ARITH)fac_scalings_simScaleAbs.o\
        $(ARITH)fac_scalings_simScale_util.o\
        $(ARITH)fac_sol_pool.o\
        $(ARITH)fac_type3_symmetrize.o\
        $(ARITH)ini_defaults.o\
        $(ARITH)mumps_c.o\
        $(ARITH)mumps_driver.o\
        $(ARITH)mumps_f77.o\
        $(ARITH)mumps_gpu.o\
        $(ARITH)mumps_iXamax.o\
        $(ARITH)ana_mtrans.o\
        $(ARITH)ooc_panel_piv.o\
        $(ARITH)rank_revealing.o\
        $(ARITH)sol_aux.o\
        $(ARITH)sol_bwd_aux.o\
        $(ARITH)sol_bwd.o\
        $(ARITH)sol_c.o\
        $(ARITH)sol_fwd_aux.o\
        $(ARITH)sol_fwd.o\
        $(ARITH)sol_matvec.o\
        $(ARITH)sol_root_parallel.o\
        $(ARITH)tools.o\
        $(ARITH)type3_root.o

$(libdir)/libmumps_common$(PLAT)$(LIBEXT):      $(OBJS_COMMON_MOD) $(OBJS_COMMON_OTHER)
	$(AR)$@ $?
	$(RANLIB) $@

$(libdir)/lib$(ARITH)mumps$(PLAT)$(LIBEXT):    $(OBJS_MOD) $(OBJS_OTHER)
	$(AR)$@ $?
	$(RANLIB) $@

# Dependencies between modules:
# i) arithmetic-dependent modules:
$(ARITH)ana_aux.o:              $(ARITH)mumps_struc_def.o \
                                mumps_static_mapping.o \
                                ana_orderings_wrappers_m.o
$(ARITH)ana_aux_par.o:          $(ARITH)mumps_struc_def.o \
                                mumps_memory_mod.o \
                                ana_orderings_wrappers_m.o
$(ARITH)ana_lr.o:                $(ARITH)lr_core.o\
                                $(ARITH)lr_stats.o\
                                lr_common.o\
                                ana_orderings_wrappers_m.o
$(ARITH)fac_asm_master_ELT_m.o: omp_tps_common_m.o \
                                fac_ibct_data_m.o \
                                fac_asm_build_sort_index_ELT_m.o \
                                lr_common.o \
                                $(ARITH)fac_mem_dynamic.o \
                                $(ARITH)lr_core.o \
                                $(ARITH)ana_lr.o \
                                $(ARITH)mumps_lr_data_m.o \
                                $(ARITH)mumps_struc_def.o \
                                $(ARITH)omp_tps_m.o \
                                $(ARITH)mumps_comm_buffer.o \
                                $(ARITH)mumps_load.o
$(ARITH)fac_asm_master_m.o:     omp_tps_common_m.o \
                                fac_ibct_data_m.o \
                                fac_asm_build_sort_index_m.o \
                                lr_common.o \
                                $(ARITH)fac_mem_dynamic.o \
                                $(ARITH)lr_core.o \
                                $(ARITH)ana_lr.o \
                                $(ARITH)mumps_lr_data_m.o \
                                $(ARITH)mumps_struc_def.o \
                                $(ARITH)omp_tps_m.o \
                                $(ARITH)mumps_comm_buffer.o \
                                $(ARITH)mumps_load.o

$(ARITH)fac_front_aux.o:        $(ARITH)lr_type.o\
                                $(ARITH)lr_stats.o\
                                $(ARITH)mumps_comm_buffer.o\
                                $(ARITH)mumps_load.o\
                                $(ARITH)mumps_ooc.o\
                                mumps_ooc_common.o\
                                mumps_l0_omp_m.o

$(ARITH)fac_front_LU_type1.o   : $(ARITH)fac_front_aux.o\
                                 $(ARITH)mumps_ooc.o\
                                 $(ARITH)fac_lr.o\
                                 $(ARITH)lr_type.o\
                                 $(ARITH)lr_stats.o\
                                 $(ARITH)ana_lr.o\
                                 $(ARITH)mumps_lr_data_m.o\
                                 mumps_l0_omp_m.o

$(ARITH)fac_front_LU_type2.o   : $(ARITH)fac_front_aux.o\
                                 $(ARITH)fac_front_type2_aux.o\
                                 $(ARITH)mumps_ooc.o\
                                 $(ARITH)mumps_comm_buffer.o\
                                 mumps_comm_ibcast.o\
                                 $(ARITH)fac_lr.o\
                                 $(ARITH)lr_core.o\
                                 $(ARITH)lr_type.o\
                                 $(ARITH)lr_stats.o\
                                 $(ARITH)ana_lr.o\
                                 $(ARITH)mumps_lr_data_m.o\
                                 $(ARITH)mumps_struc_def.o

$(ARITH)fac_front_LDLT_type1.o : $(ARITH)fac_front_aux.o\
                                 $(ARITH)mumps_ooc.o\
                                 $(ARITH)fac_lr.o\
                                 $(ARITH)lr_type.o\
                                 $(ARITH)lr_stats.o\
                                 $(ARITH)ana_lr.o\
                                 $(ARITH)mumps_lr_data_m.o\
                                 mumps_l0_omp_m.o

$(ARITH)fac_front_LDLT_type2.o : $(ARITH)fac_front_aux.o\
                                 $(ARITH)fac_front_type2_aux.o\
                                 $(ARITH)mumps_ooc.o\
                                 $(ARITH)mumps_comm_buffer.o\
                                 $(ARITH)mumps_load.o\
                                 $(ARITH)fac_lr.o\
                                 $(ARITH)lr_type.o\
                                 $(ARITH)lr_stats.o\
                                 $(ARITH)ana_lr.o\
                                 $(ARITH)mumps_lr_data_m.o\
                                 $(ARITH)mumps_struc_def.o

$(ARITH)fac_front_type2_aux.o : mumps_ooc_common.o\
                                $(ARITH)fac_front_aux.o\
                                $(ARITH)lr_type.o\
                                $(ARITH)mumps_struc_def.o\
                                $(ARITH)mumps_comm_buffer.o\
                                $(ARITH)mumps_load.o\
                                mumps_comm_ibcast.o\
                                fac_ibct_data_m.o

$(ARITH)fac_lr.o:               $(ARITH)lr_core.o\
                                $(ARITH)lr_type.o\
                                $(ARITH)mumps_lr_data_m.o\
                                $(ARITH)lr_stats.o

$(ARITH)fac_mem_dynamic.o:      $(ARITH)mumps_load.o\
                                $(ARITH)static_ptr_m.o

$(ARITH)fac_omp_m.o:            $(ARITH)fac_asm_master_m.o\
                                $(ARITH)fac_asm_master_ELT_m.o\
                                $(ARITH)fac_front_LU_type1.o\
                                $(ARITH)fac_front_LDLT_type1.o\
                                $(ARITH)mumps_load.o\
                                $(ARITH)omp_tps_m.o\
                                $(ARITH)lr_stats.o\
                                $(ARITH)mumps_struc_def.o\
                                omp_tps_common_m.o\
                                mumps_l0_omp_m.o

$(ARITH)fac_par_m.o:            $(ARITH)mumps_load.o\
                                $(ARITH)mumps_ooc.o\
                                $(ARITH)fac_asm_master_m.o\
                                $(ARITH)fac_asm_master_ELT_m.o\
                                $(ARITH)omp_tps_m.o\
                                $(ARITH)fac_front_LU_type1.o\
                                $(ARITH)fac_front_LU_type2.o\
                                $(ARITH)fac_front_LDLT_type1.o\
                                $(ARITH)fac_front_LDLT_type2.o\
                                $(ARITH)fac_mem_dynamic.o\
                                $(ARITH)mumps_struc_def.o\
                                $(ARITH)lr_stats.o\
                                omp_tps_common_m.o\
                                mumps_l0_omp_m.o

=== PORD/lib/Makefile ===

# To compile directly, uncomment the line below.
# include ../Make.in
# # include $(BUILDDIR)/Makefile.inc
#
# Otherwise, adequate variables for CC, CFLAGS, AR and
# RANLIB must be passed to make.
#

INCLUDES = -I../include

COPTIONS = $(INCLUDES) $(CFLAGS) $(OPTFLAGS)

OBJS = graph.o gbipart.o gbisect.o ddcreate.o ddbisect.o nestdiss.o \
       multisector.o gelim.o bucket.o tree.o \
       symbfac.o interface.o sort.o minpriority.o 

# Note: numfac.c read.c mapping.c triangular.c matrix.c kernel.c
# were not direcly used by MUMPS and have been removed from the
# original SPACE package.

# OUTC = -o

.c.o:
	$(CC) $(COPTIONS) -c $*.c $(OUTC)$*.o

libpord$(LIBEXT):$(OBJS)
	$(AR)$@ $(OBJS)
	$(RANLIB) $@

clean:
	rm -f *.o

realclean:
	rm -f *.o libpord.a

=== debian/changelog ===
mumps (5.2.1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:50:52 +0100

mumps (5.2.1-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Dec 2019 09:23:05 +1100

mumps (5.2.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Mon, 24 Jun 2019 14:34:47 +0800

mumps (5.2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12
  * drop Build-Dependency on dh-exec (no longer maintained, use direct
    shell scripts instead)

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 May 2019 14:31:16 +0800

mumps (5.1.2-5) unstable; urgency=medium

  * Team upload.
  * debian/Makefile.*.inc: get OPTF, OPTL, OPTC from dpkg-buildflags.
    This should make debug symbols usable.
  * debian/Makefile.*.inc: remove `-I/usr/include/mpi` from compiler flags.
    This caused compiler warnings as the directory does not exist.
  * debian/rules: remove redundant `--parallel` option from `dh`
    invocation.  Building in parallel is already the default since
    debhelper 10.
  * debian/control: update Vcs-* fields
  * debian/control: remove newline from uploader name

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 18 Mar 2019 09:17:24 +0100

=== debian/control ===
Source: mumps
Section: devel
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 "Adam C. Powell, IV" <hazelsct@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 gfortran,
 libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
 liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so,
 libptscotch-dev (>= 5.1.7.dfsg-4),
 libscalapack-mpi-dev (>= 2.0.2),
 libscotch-dev,
 mpi-default-dev
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/science-team/mumps.git
Vcs-Browser: https://salsa.debian.org/science-team/mumps
Homepage: http://mumps-solver.org/

Package: libmumps-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmumps-5.2.1 (= ${binary:Version}),
 libscalapack-mpi-dev,
 mpi-default-dev,
 ${misc:Depends},
Description: Direct linear systems solver - parallel development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.

Package: libmumps-seq-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmumps-dev,
 libmumps-seq-5.2.1 (= ${binary:Version}),
 ${misc:Depends},
Description: Direct linear systems solver - non-parallel development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built the MUMPS libseq dummy sequential MPI library.
 Unless you know that you specifically need this, then you almost
 certainly want the libmumps-dev package.

Package: libmumps-5.2.1
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 mpi-default-bin,
Description: Direct linear systems solver - parallel shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.

Package: libmumps-seq-5.2.1
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Direct linear systems solver - non-parallel shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built the MUMPS libseq dummy sequential MPI library.
 Unless you know that you specifically need this, then you almost
 certainly want the libmumps-5.2.1 package.

Package: libmumps-scotch-5.2.1
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Direct linear systems solver - Scotch-version shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built the MUMPS libseq dummy sequential MPI library
 with scotch support. Unless you know that you specifically need this,
 then you almost certainly want the libmumps-5.2.1 package.

Package: libmumps-scotch-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmumps-dev,
 libmumps-scotch-5.2.1 (= ${binary:Version}),
 ${misc:Depends},
Description: Direct linear systems solver - Scotch-version development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built the MUMPS libseq dummy sequential MPI library
 with scotch support. Unless you know that you specifically need this,
 then you almost certainly want the libmumps-5.2.1 package.

Package: libmumps-ptscotch-5.2.1
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Direct linear systems solver - PTScotch-version shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built with ptscotch support.

Package: libmumps-ptscotch-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmumps-dev,
 libmumps-ptscotch-5.2.1 (= ${binary:Version}),
 ${misc:Depends},
Description: Direct linear systems solver - PTScotch-version development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built with ptscotch support.

Package: mumps-test
Architecture: any
Section: math
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 mpi-default-bin,
Description: Example/test binaries using MUMPS
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/mpi-default-dev/debian_defaults

%:
	dh $@

override_dh_auto_clean:
	cp -f debian/Makefile.seq.inc Makefile.inc
	dh_auto_clean
	rm -rf lib Makefile.inc libmumps_seq libmumps_scotch libmumps_ptscotch

override_dh_auto_build-arch:
	mkdir lib
	cp -f debian/Makefile.ptscotch.inc Makefile.inc
	$(MAKE) MUMPS_MPI=$(ARCH_DEFAULT_MPI_IMPL) PLAT="_ptscotch" all
	cp -a lib libmumps_ptscotch
	$(MAKE) clean
	rm -f Makefile.inc
	cp -f debian/Makefile.scotch.inc Makefile.inc
	$(MAKE) MUMPS_MPI=$(ARCH_DEFAULT_MPI_IMPL) PLAT="_scotch" all
	cp -a lib libmumps_scotch
	cp -af libseq/lib* libmumps_scotch
	$(MAKE) clean
	rm -f Makefile.inc
	cp -f debian/Makefile.seq.inc Makefile.inc
	$(MAKE) MUMPS_MPI=$(ARCH_DEFAULT_MPI_IMPL) PLAT="_seq" all
	cp -a lib libmumps_seq
	cp -af libseq/lib* libmumps_seq
	$(MAKE) clean
	rm -f Makefile.inc
	cp -f debian/Makefile.par.inc Makefile.inc
	$(MAKE) MUMPS_MPI=$(ARCH_DEFAULT_MPI_IMPL) all

## mumps 5.3.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
-#  This file is part of MUMPS 5.2.1, released
-#  on Fri Jun 14 14:46:05 UTC 2019
+#  This file is part of MUMPS 5.3.1, released
+#  on Fri Apr 10 13:52:30 UTC 2020
 #
 topdir = .
 libdir = $(topdir)/lib

=== examples/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
-#  This file is part of MUMPS 5.2.1, released
-#  on Fri Jun 14 14:46:05 UTC 2019
+#  This file is part of MUMPS 5.3.1, released
+#  on Fri Apr 10 13:52:30 UTC 2020
 #
 topdir = ..
 libdir = $(topdir)/lib
@@ -71,9 +71,9 @@
 
 .SUFFIXES: .c .F .o
 .F.o:
-	$(FC) $(OPTF) $(INCS) -I. -I$(topdir)/include -I$(topdir)/src -c $*.F $(OUTF)$*.o
+	$(FC) $(OPTF) -I. -I$(topdir)/include -I$(topdir)/src $(INCS) -c $*.F $(OUTF)$*.o
 .c.o:
-	$(CC) $(OPTC) $(INCS) $(CDEFS) -I. -I$(topdir)/include -I$(topdir)/src -c $*.c $(OUTC)$*.o
+	$(CC) $(OPTC) $(CDEFS) -I. -I$(topdir)/include -I$(topdir)/src $(INCS) -c $*.c $(OUTC)$*.o
 
 
 $(libdir)/libsmumps$(PLAT)$(LIBEXT):

=== libseq/Makefile ===
#
#  This file is part of MUMPS 5.3.1, released
#  on Fri Apr 10 13:52:30 UTC 2020
#
all: libmpiseq

.PHONY: all libmpiseq clean

include ../Makefile.inc

libmpiseq: libmpiseq$(PLAT)$(LIBEXT)

libmpiseq$(PLAT)$(LIBEXT): mpi.o mpic.o elapse.o
	$(AR)$@ mpi.o mpic.o elapse.o
	$(RANLIB) $@
.f.o:
	$(FC) $(OPTF)              -c $*.f $(OUTF)$*.o
.c.o:
	$(CC) $(OPTC) $(CDEFS) -I. -c $*.c $(OUTC)$*.o

clean:
	$(RM) *.o *$(LIBEXT)

=== src/Makefile ===
--- 
+++ 
@@ -1,12 +1,11 @@
 #
-#  This file is part of MUMPS 5.2.1, released
-#  on Fri Jun 14 14:46:05 UTC 2019
+#  This file is part of MUMPS 5.3.1, released
+#  on Fri Apr 10 13:52:30 UTC 2020
 #
-#
-#  This file is part of MUMPS 5.0beta, built on Tue Jan 10 16:43:31 UTC 2012
 #
 topdir = ..
 libdir = $(topdir)/lib
+incdir = $(topdir)/include
 
 default: d
 
@@ -23,11 +22,19 @@
 
 include $(topdir)/Makefile.inc
 
-mumps_lib:    $(libdir)/libmumps_common$(PLAT)$(LIBEXT) \
+mumps_lib:    $(incdir)/mumps_int_def.h \
+              $(libdir)/libmumps_common$(PLAT)$(LIBEXT) \
               $(libdir)/lib$(ARITH)mumps$(PLAT)$(LIBEXT)
+
+# Build $(incdir)/mumps_int_def.h, needed by mumps_c_types.h
+$(incdir)/mumps_int_def.h: build_mumps_int_def 
+	./build_mumps_int_def > $(incdir)/mumps_int_def.h
+build_mumps_int_def:build_mumps_int_def.o
+	$(CC) $(OPTL) build_mumps_int_def.o -o build_mumps_int_def
 
 OBJS_COMMON_MOD = \
         ana_omp_m.o\
+        ana_blk_m.o\
         ana_orderings_wrappers_m.o\
         double_linked_list.o\
         fac_asm_build_sort_index_ELT_m.o\
@@ -48,6 +55,7 @@
 
 
 OBJS_COMMON_OTHER = \
+        ana_blk.o\
         ana_orderings.o\
         ana_set_ordering.o\
         ana_AMDMF.o\
@@ -90,10 +98,12 @@
         $(ARITH)fac_front_LDLT_type1.o\
         $(ARITH)fac_front_LDLT_type2.o\
         $(ARITH)fac_front_type2_aux.o\
+        $(ARITH)fac_sispointers_m.o\
         $(ARITH)fac_lr.o\
         $(ARITH)fac_mem_dynamic.o\
         $(ARITH)fac_omp_m.o\
         $(ARITH)fac_par_m.o\
+        $(ARITH)fac_sol_l0omp_m.o\
         $(ARITH)lr_core.o\
         $(ARITH)lr_stats.o\
         $(ARITH)lr_type.o\
@@ -109,6 +119,7 @@
         $(ARITH)mumps_struc_def.o\
         $(ARITH)omp_tps_m.o\
         $(ARITH)sol_lr.o\
+        $(ARITH)sol_omp_m.o\
         $(ARITH)static_ptr_m.o
 
 OBJS_OTHER = \
@@ -189,14 +200,16 @@
 # i) arithmetic-dependent modules:
 $(ARITH)ana_aux.o:              $(ARITH)mumps_struc_def.o \
                                 mumps_static_mapping.o \
-                                ana_orderings_wrappers_m.o
+                                ana_orderings_wrappers_m.o \
+                                ana_blk_m.o
 $(ARITH)ana_aux_par.o:          $(ARITH)mumps_struc_def.o \
                                 mumps_memory_mod.o \
                                 ana_orderings_wrappers_m.o
 $(ARITH)ana_lr.o:                $(ARITH)lr_core.o\
                                 $(ARITH)lr_stats.o\
                                 lr_common.o\
-                                ana_orderings_wrappers_m.o
+                                ana_orderings_wrappers_m.o \
+                                ana_blk_m.o 
 $(ARITH)fac_asm_master_ELT_m.o: omp_tps_common_m.o \
                                 fac_ibct_data_m.o \
                                 fac_asm_build_sort_index_ELT_m.o \
@@ -301,18 +314,11 @@
                                 omp_tps_common_m.o\
                                 mumps_l0_omp_m.o
 
+$(ARITH)fac_sol_l0omp_m.o:      $(ARITH)mumps_struc_def.o
+
+$(ARITH)fac_omp_m.o:            $(ARITH)mumps_struc_def.o \
+                                $(ARITH)fac_mem_dynamic.o\
+                                $(ARITH)omp_tps_m.o\
+                                omp_tps_common_m.o
+
 $(ARITH)fac_par_m.o:            $(ARITH)mumps_load.o\
-                                $(ARITH)mumps_ooc.o\
-                                $(ARITH)fac_asm_master_m.o\
-                                $(ARITH)fac_asm_master_ELT_m.o\
-                                $(ARITH)omp_tps_m.o\
-                                $(ARITH)fac_front_LU_type1.o\
-                                $(ARITH)fac_front_LU_type2.o\
-                                $(ARITH)fac_front_LDLT_type1.o\
-                                $(ARITH)fac_front_LDLT_type2.o\
-                                $(ARITH)fac_mem_dynamic.o\
-                                $(ARITH)mumps_struc_def.o\
-                                $(ARITH)lr_stats.o\
-                                omp_tps_common_m.o\
-                                mumps_l0_omp_m.o
-

=== debian/changelog ===
mumps (5.3.1-2) unstable; urgency=medium

  * Team upload.
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Sat, 30 May 2020 17:04:20 +0800

mumps (5.3.1-1exp2) experimental; urgency=medium

  * Team upload.
  * debian/tests:
    - run mpi tests on 3 cpu, allow oversubscribing.
    - run serial and MPI tests separately
  * skip buildtime MPI tests for hurd-i386 and m68k
  * skip all tests on sh

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Apr 2020 23:26:29 +0800

mumps (5.3.1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.5.0
  * add debian/tests (autopkgtest) testing MUMPS examples
    - run examples also in place of dh_auto_test

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Apr 2020 19:23:35 +0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  "Adam C. Powell, IV" <hazelsct@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  gfortran,
  libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
  liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so,
@@ -13,7 +13,7 @@
  libscalapack-mpi-dev (>= 2.0.2),
  libscotch-dev,
  mpi-default-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/science-team/mumps.git
 Vcs-Browser: https://salsa.debian.org/science-team/mumps
 Homepage: http://mumps-solver.org/
@@ -23,7 +23,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libmumps-5.2.1 (= ${binary:Version}),
+ libmumps-5.3.1 (= ${binary:Version}),
  libscalapack-mpi-dev,
  mpi-default-dev,
  ${misc:Depends},
@@ -39,7 +39,7 @@
 Multi-Arch: same
 Depends:
  libmumps-dev,
- libmumps-seq-5.2.1 (= ${binary:Version}),
+ libmumps-seq-5.3.1 (= ${binary:Version}),
  ${misc:Depends},
 Description: Direct linear systems solver - non-parallel development files
  MUMPS implements a direct solver for large sparse linear systems, with a
@@ -51,7 +51,7 @@
  Unless you know that you specifically need this, then you almost
  certainly want the libmumps-dev package.
 
-Package: libmumps-5.2.1
+Package: libmumps-5.3.1
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -66,7 +66,7 @@
  operate on distributed matrices e.g. over a cluster.  It has Fortran and
  C interfaces, and can interface with ordering tools such as Scotch.
 
-Package: libmumps-seq-5.2.1
+Package: libmumps-seq-5.3.1
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -81,9 +81,9 @@
  .
  This package is built the MUMPS libseq dummy sequential MPI library.
  Unless you know that you specifically need this, then you almost
- certainly want the libmumps-5.2.1 package.
+ certainly want the libmumps-5.3.1 package.
 
-Package: libmumps-scotch-5.2.1
+Package: libmumps-scotch-5.3.1
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -98,7 +98,7 @@
  .
  This package is built the MUMPS libseq dummy sequential MPI library
  with scotch support. Unless you know that you specifically need this,
- then you almost certainly want the libmumps-5.2.1 package.
+ then you almost certainly want the libmumps-5.3.1 package.
 
 Package: libmumps-scotch-dev
 Architecture: any
@@ -106,7 +106,7 @@
 Multi-Arch: same
 Depends:
  libmumps-dev,
- libmumps-scotch-5.2.1 (= ${binary:Version}),
+ libmumps-scotch-5.3.1 (= ${binary:Version}),
  ${misc:Depends},
 Description: Direct linear systems solver - Scotch-version development files
  MUMPS implements a direct solver for large sparse linear systems, with a
@@ -116,9 +116,9 @@
  .
  This package is built the MUMPS libseq dummy sequential MPI library
  with scotch support. Unless you know that you specifically need this,
- then you almost certainly want the libmumps-5.2.1 package.
+ then you almost certainly want the libmumps-5.3.1 package.
 
-Package: libmumps-ptscotch-5.2.1
+Package: libmumps-ptscotch-5.3.1
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -139,7 +139,7 @@
 Multi-Arch: same
 Depends:
  libmumps-dev,
- libmumps-ptscotch-5.2.1 (= ${binary:Version}),
+ libmumps-ptscotch-5.3.1 (= ${binary:Version}),
  ${misc:Depends},
 Description: Direct linear systems solver - PTScotch-version development files
  MUMPS implements a direct solver for large sparse linear systems, with a

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,32 @@
 #!/usr/bin/make -f
 
 include /usr/share/mpi-default-dev/debian_defaults
+
+
+# skip tests on these arches
+ARCH_NO_TEST_LIST = sh4
+
+empty :=
+space := $(empty)$(empty)
+
+# run tests, or not
+RUNTEST=yes
+ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(ARCH_NO_TEST_LIST)$(space)))
+  RUNTEST=no
+endif
+ifeq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+  RUNTEST=no
+endif
+
+# skip MPI tests on these arches
+ARCH_NO_MPI_TEST_LIST = hurd-i386 m68k
+
+# run MPI tests, or not
+RUN_MPI_TEST=yes
+ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(ARCH_NO_MPI_TEST_LIST)$(space)))
+  RUN_MPI_TEST=no
+endif
+
 
 %:
 	dh $@
@@ -31,3 +57,11 @@
 	rm -f Makefile.inc
 	cp -f debian/Makefile.par.inc Makefile.inc
 	$(MAKE) MUMPS_MPI=$(ARCH_DEFAULT_MPI_IMPL) all
+
+ifeq (yes,$(findstring yes,$(RUNTEST)))
+override_dh_auto_test:
+	LD_LIBRARY_PATH=$(CURDIR)/lib:$(LD_LIBRARY_PATH) ./debian/tests/mumps-examples-serial
+ifeq (yes,$(findstring yes,$(RUN_MPI_TEST)))
+	LD_LIBRARY_PATH=$(CURDIR)/lib:$(LD_LIBRARY_PATH) ./debian/tests/mumps-examples-mpi
+endif
+endif

=== debian/tests/control ===
Tests: mumps-examples-serial
Depends: @, @builddeps@

Tests: mumps-examples-mpi
Depends: @, @builddeps@

## mumps 5.3.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
-#  This file is part of MUMPS 5.3.1, released
-#  on Fri Apr 10 13:52:30 UTC 2020
+#  This file is part of MUMPS 5.3.3, released
+#  on Mon Jun 15 09:57:25 UTC 2020
 #
 topdir = .
 libdir = $(topdir)/lib

=== examples/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
-#  This file is part of MUMPS 5.3.1, released
-#  on Fri Apr 10 13:52:30 UTC 2020
+#  This file is part of MUMPS 5.3.3, released
+#  on Mon Jun 15 09:57:25 UTC 2020
 #
 topdir = ..
 libdir = $(topdir)/lib

=== libseq/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
-#  This file is part of MUMPS 5.3.1, released
-#  on Fri Apr 10 13:52:30 UTC 2020
+#  This file is part of MUMPS 5.3.3, released
+#  on Mon Jun 15 09:57:25 UTC 2020
 #
 all: libmpiseq

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
-#  This file is part of MUMPS 5.3.1, released
-#  on Fri Apr 10 13:52:30 UTC 2020
+#  This file is part of MUMPS 5.3.3, released
+#  on Mon Jun 15 09:57:25 UTC 2020
 #
 #
 topdir = ..
